## beancounter 0.8.11

=== debian/changelog ===
beancounter (0.8.11) unstable; urgency=medium

  * debian/rules update adding two targets 		(Closes: #999231)
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to debhelper-compat
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Nov 2021 08:55:15 -0600
