=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 4.6.0
 Build-Depends-Indep: libdate-manip-perl, libstatistics-descriptive-perl, libfinance-yahooquote-perl, libdbi-perl
-Build-Depends: debhelper (>= 5.0.0)
+Build-Depends: debhelper-compat (= 11)
 
 Package: beancounter
 Architecture: all
