## beancounter 0.8.11.1

=== debian/changelog ===
beancounter (0.8.11.1) unstable; urgency=medium

  * debian/control: Remove libdbd-sqlite2-perl as choice from optional
    Depends: as sqlite3 has long been the default 	(Closes: #1011476)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2022 11:56:18 -0500
