=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: beancounter
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libfinance-yahooquote-perl (>= 0.18), libdate-manip-perl, libdbi-perl, libdbd-pg-perl | libdbd-mysql-perl | libdbd-odbc-perl | libdbd-sqlite3-perl | libdbd-sqlite2-perl, libstatistics-descriptive-perl, postgresql-client | mysql-client | sqlite3 | sqlite
+Depends: ${misc:Depends}, ${perl:Depends}, libfinance-yahooquote-perl (>= 0.18), libdate-manip-perl, libdbi-perl, libdbd-pg-perl | libdbd-mysql-perl | libdbd-odbc-perl | libdbd-sqlite3-perl, libstatistics-descriptive-perl, postgresql-client | mysql-client | sqlite3 | sqlite
 Description: A stock portfolio performance monitoring tool
  This package provides beancounter, a tool to quantify gains and losses in
  stock portfolios, as well as the BeanCounter Perl module that underlies it.
